/*
 * @Author: riverQiu
 * @Date: 2023-10-11 20:48:02
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-11 20:57:06
 * @Description:
 */
/*
 * @Author: riverQiu
 * @Date: 2023-10-10 16:08:39
 * @LastEditors: riverQiu
 * @LastEditTime: 2023-10-10 16:10:06
 * @Description: 反馈单
 */
import request from '@/utils/request';

// 查询线索反馈列表
export function listFeedbackDetail(query) {
  return request({
    url: '/zs/feedback/detail/list',
    method: 'get',
    params: query
  });
}

// 查询线索反馈详细
export function getFeedbackDetail(feedbackId) {
  return request({
    url: '/zs/feedback/detail/' + feedbackId,
    method: 'get'
  });
}

export function getFeedbackDetailInfo(query){
  return request({
    url: '/zs/feedback/detail/info',
    method: 'get',
    params: query
  });
}

// 查询线索反馈详细
export function getFeedbackDetailByClueId(clueId) {
  return request({
    url: '/zs/feedback/detail/' + clueId,
    method: 'get'
  });
}

// 新增线索反馈
export function addFeedbackDetail(data) {
  return request({
    url: '/zs/feedback/detail',
    method: 'post',
    data: data
  });
}

// 修改线索反馈
export function updateFeedbackDetail(data) {
  return request({
    url: '/zs/feedback/detail',
    method: 'put',
    data: data
  });
}

// 删除线索反馈
export function delFeedbackDetail(feedbackId) {
  return request({
    url: '/zs/feedback/detail/' + feedbackId,
    method: 'delete'
  });
}
